import request from '@/utils/request'

// 查询请款表
export function searchRequestFund(pageCurrent, pageSize, check1, start, end, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '备料管理_请款_查询数据',
      param: `时间段_check=${check1}&开始时间=${start}&结束时间=${end}&供应商名称_check=${check2}&供应商名称=${name}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询采购计划待请款信息
export function searchOfflineContract(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '备料管理_待请款_查询数据',
      param: `供应商=${num}`
    }
  })
}
// 增加请款
export function submitRequestFund(contractGroup, sumGroup, supplier, money, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '备料管理_请款_增加数据',
      param: `采购计划流水号组=${contractGroup}&合同总额组=${sumGroup}&供应商=${supplier}&请款金额=${money}&请款人=${person}`
    }
  })
}
// 查询采购计划待请款信息
export function searchRequsetFundDetail(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '备料管理_请款明细_查询数据',
      param: `采购计划请款流水号=${num}`
    }
  })
}
// 取消请款
export function cancelRequestFund(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '备料管理_请款_删除数据',
      param: `采购计划请款流水号=${num}`
    }
  })
}
// 保存请款明细
export function SavingMoney(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '备料管理_请款明细_保存数据',
      param: `采购计划请款明细流水号组=${num}&请款金额组=${num1}`
    }
  })
}
